EndpointsReporters

Get a reporter

GET/v2/reporters/{reporter_id}

Returns reporter metadata, its latest visible version purpose, and its latest visible output.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

reporter_id*Reporter Id

Reporter to retrieve.

Match^rptr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
curl -X GET "https://example.com/v2/reporters/string"
{  "id": "string",  "name": "string",  "display_name": "string",  "description": "string",  "user_id": "string",  "author": {    "id": "string",    "name": "string",    "email": "string",    "is_softmax_team_member": true,    "discord_id": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "created_at": "2019-08-24T14:15:22Z",  "latest_version": 0,  "outputs": [    {      "name": "string",      "type": "render-html",      "description": "string",      "schema": "string",      "optional": false    }  ],  "run_count": 0,  "output_count": 0,  "purpose": "string",  "latest_output": {    "id": "string",    "reporter_id": "string",    "reporter_run_id": "string",    "name": "string",    "type": "string",    "size_bytes": 0,    "content_hash": "string",    "media_type": "string",    "created_at": "2019-08-24T14:15:22Z",    "url": "string"  }}